## freefem3d 1.0pre10

=== debian/changelog ===
freefem3d (1.0pre10-3.3ubuntu1) wily; urgency=medium

  * Build-depend on dh-autoreconf to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 10 Aug 2015 03:26:07 -0400

freefem3d (1.0pre10-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added dh-autoreconf and workaround to undef __vector to avoid
    conflict with the gcc macro (Fernando Seiti Furusato). Closes: #768044.
  * Fix build failure with GCC 5. Closes: #777855.
  * Build with -std=gnu++98.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 13:46:44 +0200

freefem3d (1.0pre10-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control, debian/rules: Switch to automake1.11. (Closes:
    #724369)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 03:03:12 -0500

freefem3d (1.0pre10-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * 30_gcc47: Fix build failure with GCC 4.7.  Closes: #667170.
    - algebra/Vector.hpp: Include <cmath> for sqrt.
    - solver/FEMDiscretization.hpp: Add "this->" qualifier.

 -- Matej Vela <vela@debian.org>  Thu, 17 May 2012 14:07:03 +0100

freefem3d (1.0pre10-3) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Team upload
  * Ack previous NMU
  * Package migrated to the Debian Science team
  * Standards-Version updated to version 3.9.2
  * Switch to dpkg-source 3.0 (quilt) format
  * Fix debhelper-but-no-misc-depends lintian warning
  * Remove the suffix in the description

  [ Daniel Leidert (dale) ]
  * debian/control: Vcs fields transition. Added Homepage field.
    (Vcs-Svn): Fixed.
  * debian/copyright: Added missing information.
  * debian/freefem3d.doc-base: Fixed encoding.
    (Section): Fixed accordingly to doc-base (>= 0.8.10).
  * debian/watch: Added.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Sep 2011 14:43:03 +0200

freefem3d (1.0pre10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Introduce CDBS' simple-patchsys to include the patch below
    + use CDBS facilities to run autotools
  * Fix "FTBFS with GCC 4.4: missing #include" with patches
    debian/patches/10_gcc44_enum.patch similar to upstream and
    debian/patches/20_gcc44_include.patch thanks Martin Michlmayr
    (Closes: #504845)

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 13 Feb 2010 11:57:36 +0100

freefem3d (1.0pre10-2) unstable; urgency=low

  [Stephane Del Pino]
  * Fix software description according to upstream
  * Bugs fixed:
     o Bug#433176: "FTBFS: make: aclocal-1.9: Command not found"
       (Closes: #433176)
     o Fixed doc construction dependencies

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 07 Jul 2007 14:58:00 +0100

freefem3d (1.0pre10-1) unstable; urgency=low

  [Stephane Del Pino]
  * New upstream release
    Bugs fixed in 1.0pre10:
     o Bug #11530: "cannot install..." [bison checking in configure]
     o Bug #7709 : "Mesh Transformation code not finished" [code finished]
     o Fixed Debian Bug#420922: FTBFS with GCC 4.3: missing #includes,
       thanks to Martin Michlmayr (Closes: #420922).
     o The code is built even when cannot build documentation
     o P2 and Q2 elements are now fully working (thanks to Edouard Oudet's reports)

   * New in 1.0pre10:
     o Added function building simplifier [optimization]
     o Removed deprecated functions from language syntax
     o Save multiple functions and fields into one VTK file
     o Many ff3d feature are now tests in the test suite
     o Output improvements: save/read in vtk format for vectors, fields,...

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 07 Jul 2007 14:58:00 +0100

freefem3d (1.0pre9-1) unstable; urgency=low

  [Stephane Del Pino]
  * New upstream release
    Bugs fixed in 1.0pre9:
     o Fixed advection operator on cartesian meshes
     o Language: fixed "on M" for non-cartesian meshes boundary conditions
     o Fixed Debian Bug#358053: FTBFS with G++ 4.1: extra qualification
     o Fixed P1: first order and second order derivative right hand side
       for variational formulae
     o Fixed #16041: related to bad error message
    New in 1.0pre9:
     o Completely rewrote the function algebra
     o Added (at last!) a set of non-regression tests
     o Added reader for 2D 'am_fmt' mesh format
     o Added domain by function definition (e.g. domain(f<g))
  [Christophe Prud'homme]
  * update Standards-Version to 3.7.2 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 22 Dec 2006 13:28:13 +0100

freefem3d (1.0pre8-2) unstable; urgency=low

  * Bug fix: "FTBFS with G++ 4.1: extra qualification", thanks to Martin
    Michlmayr (Closes: #358053).
  * Bug fix: "freefem3d: Spelling in package description", thanks to Igor
    Khavkine (Closes: #326760).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 14 Apr 2006 20:10:41 +0200

freefem3d (1.0pre8-1) unstable; urgency=low

  * New upstream release
  * Changed Maintainer to Debian Scientific Computing Team and added
    myself as uploader

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 14 Apr 2006 18:19:28 +0200

freefem3d (1.0pre7-3) unstable; urgency=low

  * Removed VTK and Qt dependencies (GUI is just experimental code),
    thanks to S. Del Pino the upstream author
  * Ported to cdbs
  * freefem3d: /usr/bin/ff3d has undefined non-weak symbols (Closes: #287577)
  * Changed my email address to the one at d.o

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun,  4 Sep 2005 20:39:41 +0200

freefem3d (1.0pre7-2) unstable; urgency=low

  * Rebuilt with new g++ default (g++-4.0)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Wed, 13 Jul 2005 07:44:02 +0200

freefem3d (1.0pre7-1) unstable; urgency=low

  * New upstream release
  * Backport that fixes non symetrical systems defined using variationnal
    formula.
  * Bug fix: "freefem3d: typos in package description", thanks to Matt
    Kraai (Closes: #308173)
  * Various fixes for the build system to remove lintian warnings
  * Update Standards-Version to 3.6.2

