=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_AC_AUX_DIR = $(DEB_SRCDIR)/m4
DEB_CONFIGURE_EXTRA_FLAGS := --enable-optimize --disable-gui

DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_LIBTOOL = pre -c -f
DEB_AUTO_UPDATE_AUTOMAKE = 1.11 -a -c
DEB_AUTO_UPDATE_AUTOCONF = yes
DEB_AUTO_UPDATE_AUTOHEADER = yes

HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifeq ($(HOST_ARCH_CPU), ppc64el)
	CPPFLAGS+=-U__vector
endif

CXXFLAGS := -std=gnu++98 $(CXXFLAGS)

clean::
	rm -f aclocal.m4 config.guess config.h.in config.sub install-sh
	rm -f libtool ltconfig ltmain.sh missing mkinstalldirs stamp-h.in
	rm -f depcomp stamp-h1 configure
	rm -rf autom4te.cache
	find -name Makefile.in | xargs -r rm -f
