=== debian/watch ===
version=3
opts=uversionmangle=s/pre([^.]+)/~pre$1/ \
 http://www.freefem.org/ff3d/sources/ freefem3d-([^-]+)\.tar\.gz
